Bug 98253 - Radeon 9200 chip not detected, all gl programs hang the server
Radeon 9200 chip not detected, all gl programs hang the server
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-06-29 05:16 EDT by Heikki Hannikainen
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 01:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86.0.log (46.00 KB, text/plain)
2003-06-29 05:17 EDT, Heikki Hannikainen
no flags Details
XF86Config (3.13 KB, text/plain)
2003-06-29 05:18 EDT, Heikki Hannikainen
no flags Details
uname -a, lspci, lsmod outputs (6.39 KB, text/plain)
2003-06-29 05:21 EDT, Heikki Hannikainen
no flags Details

  None (edit)
Description Heikki Hannikainen 2003-06-29 05:16:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
I have a Radeon 9200 based card from Club3d (www.club-3d.com, CGA-928TVD,
128MB). XFree86 with the radeon driver seems to work fine in 2D, but as soon as
I launch any GL program which actually uses 3D acceleration (bzflag, glxgears)
the server hangs, only the mouse cursor moves. Keyboard doesn't respond (can't
force the server to die or the machine to reboot, even the caps lock key doesn't

The programs say "unknown chip id, assuming full radeon support" to the starting
terminal, draw their (black) window and then the console halts. There is still
some disk activity so I guess the base OS keeps running. glxinfo prints the
above message but doesn't get stuck.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run the X server with the radeon driver on this particular Radeon 9200 card,
then start an GL application.

Actual Results:  Console hangs.

Expected Results:  "Dazzling 3D experience to PC enthusiasts with the best
performance in its class, optimized for today's most compelling gaming
environments and applications." And yeah, "Redefined realism in graphics and
video content", too. 8-)

Additional info:

The base system is RH9 with current updates, kernel-smp-2.4.20-18.9 on 2*P2/450.
Only installed the XFree86 packages + xterm package from rawhide.

lspci identifies the card as:

01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5961
(rev 01) (prog-if 00 [VGA])
        Subsystem: C.P. Technology Co. Ltd: Unknown device 2063
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 16
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at d800 [size=256]
        Memory at c5800000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at d7fe0000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

01:00.1 Display controller: ATI Technologies Inc: Unknown device 5941 (rev 01)
        Subsystem: C.P. Technology Co. Ltd: Unknown device 2062
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Memory at c8000000 (32-bit, prefetchable) [size=128M]
        Memory at c5000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
Comment 1 Heikki Hannikainen 2003-06-29 05:17:53 EDT
Created attachment 92674 [details]
Comment 2 Heikki Hannikainen 2003-06-29 05:18:34 EDT
Created attachment 92675 [details]
Comment 3 Heikki Hannikainen 2003-06-29 05:21:06 EDT
Created attachment 92676 [details]
uname -a, lspci, lsmod outputs
Comment 4 Heikki Hannikainen 2003-06-29 05:35:25 EDT
Oh yes, almost forgot - I very much enjoy the accelerated 2D after working with
the vesa driver for a couple days. And I've greatly enjoyed the accelerated 3D
with my old GeForce 256 card. I'm very grateful for all the great work done by
Mike and all the other involved XFree86 hackers! Thank you!
Comment 5 Mike A. Harris 2003-06-29 16:17:17 EDT
Unfortunately, Radeon 9200 support is experimental, and 2D only currently.
This isn't a bug, but rather, what you are seeing, is software rendered
OpenGL, and it appears to be locking up since it is so amazingly slow.  ;o)

That said, there are patches floating around for 3D on Radeon 9200, and I
will be investigating adding them soon.  If they prove to be stable, I
will probably keep them.

I'll leave this open for now as a reminder to add the patches.  I'll try to
obtain a 9200 Pro for testing purposes.

Comment 6 Heikki Hannikainen 2003-06-30 02:11:30 EDT
Ah, okay, sorry. I had missed that in the release notes! Actually, there are a
few web pages & mailing list posts that mention 9200 3D being supported, and the
man page of the radeon driver in this RPM too says "hardware 3D acceleration
(except R300 cards)" 8-)

I'd be happy to test the 3D support patches, I think I'll try to find them &
apply to the XFree86-4.3.0-15.1 SRPM sources. Do they involve more than treating
the chip as a 8500 (which some people do by setting the ChipID to 0x4242)?
Comment 7 Mike A. Harris 2004-10-01 01:55:06 EDT
Fedora Core 2 is the first OS release to officially support 3D
acceleration on Radeon 9200 variants.  Please upgrade your
system to the latest release of Fedora Core 2, and 3D acceleration
should work properly.  If you experience 3D acceleration problems
with Fedora Core 2, please file a bug report in the X.Org
bug tracker at http://bugs.freedesktop.org in the "xorg" component.

If you've filed a bug in the X.org bugzilla, and would like Red Hat
to track it, you can file a new bug report in Red Hat bugzilla with
a brief summary and link to the X.Org bug report, and Red Hat
will track the issue with X.Org and review any fixes as candidates
for future updates.


Setting status to "CURRENTRELEASE"

Note You need to log in before you can comment on or make changes to this bug.